Package pyplusplus :: Package decl_wrappers :: Module properties :: Class name_based_recognizer_t

# type name_based_recognizer_t

source code

               object --+
                        |
    property_recognizer_i --+
                            |
                           name_based_recognizer_t

Instance Methods

__init__(self) | source code

prefixes(self) | source code

check_prefix(self, name, prefix) | source code

check_name_compatibility(self, gname, sname, gprefix, sprefix) | source code

make_std_convention(self, gprefix, sprefix) | source code

make_u_camel_convention(self, gprefix, sprefix) | source code

make_l_camel_convention(self, gprefix, sprefix) | source code

find_out_prefixes(self, gname, sname) | source code

find_out_ro_prefixes(self, gname) | source code

check_type_compatibility(self, fget, fset) | source code

find_out_property_name(self, fget, prefix) | source code

create_property(self, fget, fset) | source code

create_read_only_property(self, fget) | source code

Inherited from `property_recognizer_i`: `base_classes`, `class_accessors`, `inherited_accessors`, `is_accessor`, `is_getter`, `is_setter`

Method Details

### __init__(self)
(Constructor)

source code

Overrides: property_recognizer_i.__init__

### create_property(self, fget, fset)

source code

Overrides: property_recognizer_i.create_property

### create_read_only_property(self, fget)

source code

Overrides: property_recognizer_i.create_read_only_property